From: Mathias Gibbens <gibmat@debian.org>
Description: Remove use of go-grpc-middleware/tracing, as it was removed in v2 of that package
Forwarded: not-needed
diff --git a/tracing/grpc/client_interceptors.go b/tracing/grpc/client_interceptors.go
deleted file mode 100644
index 8e97ba0..0000000
--- a/tracing/grpc/client_interceptors.go
+++ /dev/null
@@ -1,16 +0,0 @@
-package grpccorrelation
-
-import (
-	grpc_opentracing "github.com/grpc-ecosystem/go-grpc-middleware/tracing/opentracing"
-	"google.golang.org/grpc"
-)
-
-// UnaryClientTracingInterceptor will create a unary client tracing interceptor.
-func UnaryClientTracingInterceptor() grpc.UnaryClientInterceptor {
-	return grpc_opentracing.UnaryClientInterceptor(grpc_opentracing.WithFilterFunc(healthCheckFilterFunc))
-}
-
-// StreamClientTracingInterceptor will create a streaming client tracing interceptor.
-func StreamClientTracingInterceptor() grpc.StreamClientInterceptor {
-	return grpc_opentracing.StreamClientInterceptor()
-}
diff --git a/tracing/grpc/server_interceptors.go b/tracing/grpc/server_interceptors.go
deleted file mode 100644
index c860402..0000000
--- a/tracing/grpc/server_interceptors.go
+++ /dev/null
@@ -1,16 +0,0 @@
-package grpccorrelation
-
-import (
-	grpc_opentracing "github.com/grpc-ecosystem/go-grpc-middleware/tracing/opentracing"
-	"google.golang.org/grpc"
-)
-
-// UnaryServerTracingInterceptor will create a unary server tracing interceptor.
-func UnaryServerTracingInterceptor() grpc.UnaryServerInterceptor {
-	return grpc_opentracing.UnaryServerInterceptor(grpc_opentracing.WithFilterFunc(healthCheckFilterFunc))
-}
-
-// StreamServerTracingInterceptor will create a streaming server tracing interceptor.
-func StreamServerTracingInterceptor() grpc.StreamServerInterceptor {
-	return grpc_opentracing.StreamServerInterceptor()
-}
